# SourcePath: bash/20170118dev
Summary   	: The GNU Bourne Again shell (bash).
Name	  	: sony-target-dev-bash
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-bash
Version	  	: 3.2.57
Release: 12000001
License 	: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/bash
Source	  	: bash-%{version}.tar.gz
Source2		: bash_profile-sony
Source3		: bashrc
Source4		: bash_logout
Patch1          : bash-build-fix.patch

Buildroot 	: %{_tmppath}/%{name}-root
Prefix	  	: %{sony_target_dir}
# %define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}
#Provides	: /bin/bash
Requires	: hardhatutils
#
#	SRPM
#

%description
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

#
#	RPM
#

%package -n %{pkgname}
Summary: The GNU Bourne Again shell (bash).
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

%prep

%setup -q -n bash-%{version}
%patch1 -p0

%build

%sony_target_dev_setup
export ac_cv_func_getpgrp_void='yes'
export ac_cv_func_setvbuf_reversed='no'
export ac_cv_sys_restartable_syscalls='yes'
export bash_cv_sys_siglist='yes'
export bash_cv_under_sys_siglist='yes'
export bash_cv_ulimit_maxfds='yes'
export bash_cv_func_sigsetjmp='present'
export bash_cv_job_control_missing='present'
export bash_cv_sys_named_pipes='present'
export cross_compiling='yes'

%if "%{sony_target_cpu}" == "mips"
export CC_FOR_BUILD='gcc -D"_MIPS_SZPTR=32"'
%endif

%sony_target_dev_configure

../support/mkversion.sh -b -d %{version} -p 0 -o newversion.h
mv newversion.h version.h
make CFLAGS_FOR_CROSS=-I%{sony_target_dir}%{sony_target_dev_include_dir}


make recho CC_FOR_BUILD="${CC}"
make printenv CC_FOR_BUILD="${CC}"
make zecho CC_FOR_BUILD="${CC}"
make recho CC_FOR_BUILD="${CC}"
make printenv CC_FOR_BUILD="${CC}"
make zecho CC_FOR_BUILD="${CC}"
%install
PATH=%{sony_cross_bin_dir}:$PATH
#rm -rf %{buildroot}

%sony_target_dev_setup


mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/
%sony_target_dev_makeinstall bindir=%{sony_target_dev_bin_dir}

install -d  %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/skel
install %{SOURCE2} %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/skel/.bash_profile
install %{SOURCE3} %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/skel/.bashrc
install %{SOURCE4} %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/skel/.bash_logout
cd ..

mkdir -p %{buildroot}%{sony_target_dir}/bin
cd %{buildroot}%{sony_target_dir}/bin

ln -s ..%{sony_target_dev_bin_dir}/bash bash
ln -s ..%{sony_target_dev_bin_dir}/bash sh

cd


rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}/bin/bash
%{sony_target_dir}/bin/sh
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/skel/.bash_logout
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/skel/.bash_profile
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/skel/.bashrc
%{sony_target_dir}%{sony_target_dev_bin_dir}/bash
%{sony_target_dir}%{sony_target_dev_bin_dir}/bashbug

%changelog

* Wed Jan 18 2017 Sony Corporation
- updated 3.2.48 -> 3.2.57

* Fri Jul 03 2015 Sony Corporation
- Added CVE-2014-6277, CVE-2014-6278,
  Refreshed CVE-2014-6271, CVE-2014-7186, CVE-2014-7169 and CVE-2014-7187 fix patches

* Mon Sep 29 2014 Sony Corporation
- Added CVE-2014-6271,CVE-2014-7169,CVE-2014-7186 and CVE-2014-7187 fix patches

* Wed Mar 27 2013 Sony Corporation
- Version got updated to 3.2.48.

* Thu Jul 16 2009 Sony Corporation
- Revert symbolic link of /bin/sh and /bin/bash

* Thu Jul 09 2009 Sony Corporation
- Delete symbolic link to /bin/sh and /bin/bash

* Fri Mar 02 2007 Sony Corporation
- Version update to 3.2

* Tue May 10 2005 Sony Corporation
- modify symbolic links

* Mon Mar 28 2005 Sony Corporation
- add some path in bash_profile

* Fri Mar 25 2005 Sony Corporation
- add some links

* Thu Jan 13 2005 Sony Corporation
- delete pml files

* Mon Dec 20 2004 Sony Corporation - dev-bash
- symbolic link from /devel/usr/bin/bash to /bin/bash
- symbolic link from /devel/usr/bin/bash to /bin/sh

* Fri Oct 22 2004 Sony Corporation - dev-bash
- Initial build.
